<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_10"
        android:paddingRight="@dimen/dp_10">

        <TextView
            android:id="@+id/tv_expand_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_weight="1"
            android:ellipsize="end"
            android:maxLines="1"
            tools:text="配置名稱" />

        <FrameLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:paddingRight="@dimen/dp_10">

            <EditText
                android:id="@+id/ed_expand_edit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:paddingRight="@dimen/dp_10"
                android:gravity="right"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tv_expand_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="right"
                android:visibility="visible"
                tools:text="當前時間" />

            <Switch
                android:id="@+id/switch_expand_boolean"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="right"
                android:thumb="@drawable/shape_thumb_on"
                android:track="@drawable/selector_switch_track"
                android:visibility="gone" />

        </FrameLayout>

    </LinearLayout>

    <include
        layout="@layout/include_horizontal_color_e8_dividing_line"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_0_5"
        android:layout_gravity="bottom" />
</FrameLayout>